Bug 861079 - Collect Krb5 Trace on High Debug Levels
Summary: Collect Krb5 Trace on High Debug Levels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-27 13:21 UTC by Dmitri Pal
Modified: 2020-05-02 16:59 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.2-1.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Clone Of:
Environment:
Last Closed: 2013-02-21 09:37:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2581 None None None 2020-05-02 16:59:43 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-09-27 13:21:29 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1539

There's been a case or two in the past where only the Krb5 trace revealed the real issue so it would be helpful to enable Krb5 tracing on high debug levels, at least with level 9.

Comment 2 Amith 2013-01-21 20:44:08 UTC
Verified the BZ on SSSD version: sssd-1.9.2-72.el6.x86_64

At higher debug_levels, the krb5 trace messages are generated and the same were verified from the krb5_child log file. Also the log file contents were compared with the log file contents generated from older sssd build to verify the absence of trace messages in them. Snippet of trace messages from the krb5_child.log of latest build are given below:

(Tue Jan 22 01:55:08 2013) [[sssd[krb5_child[6915]]]] [sss_child_krb5_trace_cb] (0x4000): [6915] 1358799908.927790: Sending request (189 bytes) to EXAMPLE.COM

(Tue Jan 22 01:55:08 2013) [[sssd[krb5_child[6915]]]] [sss_child_krb5_trace_cb] (0x4000): [6915] 1358799908.928004: Sending initial UDP request to dgram 10.65.206.92:88

(Tue Jan 22 01:55:09 2013) [[sssd[krb5_child[6915]]]] [sss_child_krb5_trace_cb] (0x4000): [6915] 1358799909.867207: Received answer from dgram 10.65.206.92:88

(Tue Jan 22 01:55:09 2013) [[sssd[krb5_child[6915]]]] [sss_child_krb5_trace_cb] (0x4000): [6915] 1358799909.867350: Response was from master KDC

This BZ has also been automated.

Comment 3 errata-xmlrpc 2013-02-21 09:37:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.